import joplin from 'api';
import { MenuItemLocation } from 'api/types';

joplin.plugins.register({
	onStart: async function () {
		await joplin.commands.register({
			name: 'copyMarkdownLinks',
			label: 'Copy Markdown Links',

			execute: async () => {

				const notes = await joplin.workspace.selectedNoteIds();
				
				const links = [];
                    for (let i = 0; i < notes.length; i++) {
                        const note = await joplin.data.get(["notes", notes[i]], {fields: ["title"]});
                        links.push(`- [ ] [${note.title}](:/${notes[i]})`);
                    }
                    joplin.clipboard.writeText(links.join('\n'));
			}
		})
		await joplin.views.menuItems.create('contextMenucopyMarkdownLinks', 'copyMarkdownLinks', MenuItemLocation.NoteListContextMenu);
	},
});